Subject: [Dime] Encoding of Address Format for E.164 MSISDNs

From: Michael Hillier <[email-masked]>
Date: Thu, 02 Aug 2007 12:11:06 +0200

Hi all,

I have been trying to establish how an E.164 number (Address) is encoded 
into the Diameter Base Address format.
For IPv4 addresses everything seems quite clear (IPv4 = Address Family 
1), i.e. the IPv4 address 10.11.12.128 is
encoded as an octet string 0x0001*0A0B0C80*.

*The question is how does an E.164 number get encoded,  this being 
Address Family 8:
*(E.164 = Mobile telephone  number = MSISDN, roughly speaking)*
*
Let us take the E.164 number 491715454121.  I see several possibilities: 
either (A) as UTF8
    0x0008*343931373135343534313231* 
or (B) as Binary Coded Decimal (BCD)
    0x0008*491715454121*
or (C) a binary number/integer
    0x0008*727C8664A9*

Does any body know either the theoretically correct answer or have 
inter-op practical experience?
Depending on the answer, it might be worth adding a note to RFC 3588bis.

Many thanks in advance

Mike

References:

Diameter Base defines the derived format "address" in section 4.3

    "The Address format is derived from the OctetString AVP Base
    Format. It is a discriminated union, representing, for example a
    32-bit (IPv4) [IPV4] or 128-bit (IPv6) [IPV6] address, most
    significant octet first. The first two octets of the Address
    AVP represents the AddressType, which contains an Address Family
    defined in [IANAADFAM]. The AddressType is used to discriminate
    the content and format of the remaining octets."

The reference is the IANA Address Family Numbers, I quote:

    ADDRESS FAMILY NUMBERS
    (last updated 2007-02-08)
    Several protocols deal with multiple address families.  The 16-bit
    assignments are listed here.

    Number    Description                                          Reference
    ------    ---------------------------------------------------- ---------
         0    Reserved
         *1    IP (IP version 4)*
         2    IP6 (IP version 6)
         ...
         7    E.163*
         8    E.164 (SMDS, Frame Relay, ATM)*

-- 

Telenet AG Rhein-Main
[email-masked]

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime